{% extends "lab_7/layout/base.html" %}

{% block content %}
    <section name="friend-list" id="friend-list">
        <div class="container">
            <div class="row">
                <div class="col-md-8 col-lg-8">
                    <h2> friend Fasilkom</h2>
                    <div id="friend-list" class="list-group">

                    </div>
                </div>
            </div>
        </div>
    </section>
{% endblock %}
{% block javascript %}
    <script>
        $( document ).ready(function () {
            {# lengkapi pemanggilan ajax berikut untuk mengambil daftar teman yang ada di database #}
            $.ajax({
                method: "GET",
                url: "{% url 'lab-7:get-friend-list-json' %}", // update
                success: function (response) {
                    
                    list_teman = response['results'];

                    for (var i =0; i < list_teman.length; i++){
                        teman = list_teman[i];
                        nama = '<a class="list-group-item clearfix" id="' + teman.id + '">' + teman.friend_name + ' (' + teman.npm + ')'
                        '</a>';

                        console.log(teman);

                        button = '<button type = "button" class = "btn btn-info" onClick="deleteFriend(' + teman.id + ')">Delete</button>'

                        $('#friend-list').append(nama + button);

                    }
                },
                error: function(error){
                   
                    alert("error");
                }
            });
        });

        var deleteFriend = function(id){
            $.ajax({
                method: 'POST',
                url: "{% url 'lab-7:delete-friend' %}",
                data: {'id' : id},
                dataType : 'json',
                success : function(response){
                    console.log("success");
                    console.log(response);
                    $('#'+ response.id).hide();
                },
                error : function(error){
                    alert("error")
                }
            });
        };
    </script>
{% endblock %}
